petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoComputeSeparableObjective

Computes a separable objective function vector at a given point (for least-square applications)

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeSeparableObjective(Tao tao, Vec X, Vec F)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| X | - input vector

### Output Parameter

f -Objective vector at X

Notes: TaoComputeSeparableObjective() is typically used within minimization implementations, so most users would not generally call this routine themselves.

### See Also

TaoSetSeparableObjectiveRoutine()

Level:advanced
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages